1.2

1.2

get /v1/images/{image_id}/members

Description

Retrieves the list of account members with whom the image owner has shared the image.

  • You can request image sharing between accounts.

  • Image members have read‑only permission on the image.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKImageMemberListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/images/{image_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Example HTTP response

Response 200

{
    "members": [
        {
            "created_at": "2025-07-22T09:00:00Z",
            "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
            "member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "status": "pending",
            "updated_at": "2025-07-26T12:00:00Z"
        }
    ]
}